	.area text(rom,rel)
	.dbfile ..\..\..\..\..\PROGRA~1\iccv7prop\Projects\LTC1298\ltc1298Demo.c
	.area lit(rom,rel)
	.align	4
_LTC1298_CS_PIN::
	.long 0
	.dbfile C:\PROGRA~1\iccv7prop\Projects\LTC1298\ltc1298Demo.c
	.dbsym e LTC1298_CS_PIN _LTC1298_CS_PIN I
	.align	4
_LTC1298_CLK_PIN::
	.long 1
	.dbsym e LTC1298_CLK_PIN _LTC1298_CLK_PIN I
	.align	4
_LTC1298_DATA_PIN::
	.long 2
	.dbsym e LTC1298_DATA_PIN _LTC1298_DATA_PIN I
	.area text(rom,rel)
	.dbfile C:\PROGRA~1\iccv7prop\Projects\LTC1298\ltc1298Demo.c
	.dbfunc e main _main fI
;       channel1 -> R4
;       channel0 -> R4
_main::
	sub HRSP,#16	
	.dbline -1
	.dbline 43
; 
; /*
; 
; A Demo program for LTC1298 12 Bit ADC
; 
; By TJ Johnson
; 
; 4/6/09
; 
; Valid Channels are 0 and 1.
; 
; Wireing for LTC1298 
; Pin 1 - CS
; Pin 2 - CH0 input
; Pin 3 - CH1 input
; Pin 4 - GND
; 
; Pin 5 - Data
; Pin 6 - Data
; Pin 7 - Clk
; Pin 8 - Vcc
; Pins 5 and 6 connected together.
; WARNING : A 1k resitor must be placed between the prop and pins 5 & 6.
; Using ltc1298Header.h
; 
; Outputs the current values to the terminal at baud 57600. 
; 
; */
; 
; 
; #include <stdio.h>
; #include <stdarg.h>
; #include <asio.h>
; #include <propeller.h>
; #include "ltc1298Header.h"
; 
; // Pin definitions to be used
; const int LTC1298_CS_PIN = 0;
; const int LTC1298_CLK_PIN = 1;
; const int LTC1298_DATA_PIN = 2;
; 
; main()
; 	{
	.dbline 45
; 	int channel0, channel1; //Place for value of ch0 and ch1
;     asio_init(57600); // Start the terminal
	@FLDCNST	
	.long 57600	
	mov R0,TEMP0	
	@FCALL	
	.long _asio_init	
	.dbline 47
; 	// Call setupLTC1298 to give the header the correct pin info.
;     setupLTC1298 (LTC1298_CS_PIN, LTC1298_CLK_PIN, LTC1298_DATA_PIN);
	@FLOADL	
	.long _LTC1298_CS_PIN	
	.long R0	
	@FLOADL	
	.long _LTC1298_CLK_PIN	
	.long R1	
	@FLOADL	
	.long _LTC1298_DATA_PIN	
	.long R2	
	@FCALL	
	.long _setupLTC1298	
	add PC,#228	;Jump to L3
L2:
	.dbline 49
; 	while (1) //Forever loop
; 	{
	.dbline 50
; 	 putchar(0);
	mov R0,#0	
	@FCALL	
	.long _putchar	
	.dbline 51
; 	 puts("Welcome to the LTC1298 Demo"); // Print welcome msg
	@FLDCNST	
	.long L5	
	mov R0,TEMP0	
	@FCALL	
	.long _puts	
	.dbline 52
;      channel0 = ltc1298GetAdcVal(0); // Get the ch0 channel
	mov R0,#0	
	@FCALL	
	.long _ltc1298GetAdcVal	
	mov R4,R0	
	.dbline 53
; 	 printf("Channel 0 is %d %c, %c" , channel0, '\n', '\r');
	@FLDCNST	
	.long L6	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R4,TEMP5	
	mov R15,#10	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	mov R15,#13	
	mov TEMP5,HRSP	
	add TEMP5,#12	
	wrlong R15,TEMP5	
	@FCALL	
	.long _printf	
	.dbline 54
; 	 channel1 = ltc1298GetAdcVal(1); // Get the ch0 channel
	mov R0,#1	
	@FCALL	
	.long _ltc1298GetAdcVal	
	mov R4,R0	
	.dbline 55
; 	 printf("Channel 1 is %d %c, %c",channel1, '\n', '\r' );
	@FLDCNST	
	.long L7	
	mov R15,TEMP0	
	mov TEMP5,HRSP	
	wrlong R15,HRSP	
	mov TEMP5,HRSP	
	add TEMP5,#4	
	wrlong R4,TEMP5	
	mov R15,#10	
	mov TEMP5,HRSP	
	add TEMP5,#8	
	wrlong R15,TEMP5	
	mov R15,#13	
	mov TEMP5,HRSP	
	add TEMP5,#12	
	wrlong R15,TEMP5	
	@FCALL	
	.long _printf	
	.dbline 56
; 	 wait((80000000/5)); // Wait 1/5 of a second.
	@FLDCNST	
	.long 16000000	
	mov R0,TEMP0	
	@FCALL	
	.long _wait	
	.dbline 57
;  	}
L3:
	.dbline 48
	sub PC,#232	;Jump to L2
X0:
	.dbline -2
L1:
	add HRSP,#16	
	@FRET
	.dbline 0 ; func end
	.dbsym r channel1 4 I
	.dbsym r channel0 4 I
	.dbend
	.area lit(rom,rel)
L7:
	.byte 'C,'h,'a,'n,'n,'e,'l,32,49,32,'i,'s,32,37,'d,32
	.byte 37,'c,44,32,37,'c,0
L6:
	.byte 'C,'h,'a,'n,'n,'e,'l,32,48,32,'i,'s,32,37,'d,32
	.byte 37,'c,44,32,37,'c,0
L5:
	.byte 'W,'e,'l,'c,'o,'m,'e,32,'t,'o,32,'t,'h,'e,32,'L
	.byte 'T,'C,49,50,57,56,32,'D,'e,'m,'o,0
